- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# digital_ocean_sshkey_facts – DigitalOcean SSH keys facts

New in version 2.5.

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favour of `_info` module.

Alternative

  Use digital_ocean_sshkey_info instead.

## Synopsis

- Fetch DigitalOcean SSH keys facts.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.
validate_certs boolean | Choices: no yes ← | If set to `no`, the SSL certificates will not be validated. This should only set to `no` used on personally controlled sites using self-signed certificates.

## Notes

Note

- Version 2 of DigitalOcean API is used.

## Examples

    - digital_ocean_sshkey_facts:
        oauth_token: "{{ my_do_key }}"

    - set_fact:
        pubkey: "{{ item.public_key }}"
      loop: "{{ ssh_keys|json_query(ssh_pubkey) }}"
      vars:
        ssh_pubkey: "[?name=='ansible_ctrl']"

    - debug:
        msg: "{{ pubkey }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | success and no resource constraint | List of SSH keys on DigitalOcean Sample: {'ssh_keys': [{'id': 512189, 'fingerprint': '3b:16:bf:e4:8b:00:8b:b8:59:8c:a9:d3:f0:19:45:fa', 'public_key': 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAQQDDHr/jh2Jy4yALcK4JyWbVkPRaWmhck3IgCoeOO3z1e2dBowLh64QAM+Qb72pxekALga2oi4GvT+TlWNhzPH4V example', 'name': 'My SSH Public Key'}], 'links': {}, 'meta': {'total': 1}}

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Patrick Marques (@pmarques)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.